<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::afml::test::FocusChangeManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html">afml</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html">FocusChangeManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::afml::test::FocusChangeManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Manages testing focus changes.  
 <a href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::afml::test::FocusChangeManager:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager_inherit__map" id="alexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test.html" title="Test fixture for testing Channel. " alt="" coords="258,5,406,44"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test.html" title="Test fixture for testing FocusManager. " alt="" coords="247,68,418,107"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa50dffd90112328dca89ff6fe7f5965d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html#aa50dffd90112328dca89ff6fe7f5965d">assertFocusChange</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a> &gt; client, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">FocusState</a> expectedFocusState)</td></tr>
<tr class="separator:aa50dffd90112328dca89ff6fe7f5965d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a503ea3e9069d6794fc114eee30c8b73c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html#a503ea3e9069d6794fc114eee30c8b73c">assertNoFocusChange</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a> &gt; client)</td></tr>
<tr class="separator:a503ea3e9069d6794fc114eee30c8b73c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Manages testing focus changes. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aa50dffd90112328dca89ff6fe7f5965d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa50dffd90112328dca89ff6fe7f5965d">&#9670;&nbsp;</a></span>assertFocusChange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::afml::test::FocusChangeManager::assertFocusChange </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a> &gt;&#160;</td>
          <td class="paramname"><em>client</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">FocusState</a>&#160;</td>
          <td class="paramname"><em>expectedFocusState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Checks that a focus change occurred and that the focus state received is the same as the expected focus state.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">client</td><td>The <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> observer. </td></tr>
    <tr><td class="paramname">expectedFocusState</td><td>The expected focus state. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a503ea3e9069d6794fc114eee30c8b73c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a503ea3e9069d6794fc114eee30c8b73c">&#9670;&nbsp;</a></span>assertNoFocusChange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::afml::test::FocusChangeManager::assertNoFocusChange </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a> &gt;&#160;</td>
          <td class="paramname"><em>client</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Checks that a focus change does not occur by waiting for the timeout duration.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">client</td><td>The <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> observer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AFML/test/<a class="el" href="_focus_manager_test_8cpp.html">FocusManagerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
